/*
 * IBM XSLT Processor
 * Licensed Materials - Property of IBM
 * (C) Copyright IBM Corp. 2013.   All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication, or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package org.apache.xml.utils;

import javax.xml.transform.TransformerException;

import org.apache.xpath.res.XPATHErrorResources;
import org.apache.xpath.res.XPATHMessages;

public class ExtensionUtil {
	
	public static final void errorExtensionFunc(String funcName) throws TransformerException {
        throw new javax.xml.transform.TransformerException(
          XPATHMessages.createXPATHMessage(
            XPATHErrorResources.ER_EXTENSION_FUNCTION_NOT_ALLOWED_JAVA_SECURITY_ENABLED,
            new Object[] {funcName, SecurityUtil.OVERRIDE_SECURE_PROCESSING_PROP}));
	}
	
	public static final void errorExtensionElem(String elemName) throws TransformerException {
        throw new TransformerException(
          XPATHMessages.createXPATHMessage(
            XPATHErrorResources.ER_EXTENSION_ELEMENT_NOT_ALLOWED_JAVA_SECURITY_ENABLED,
            new Object[] {elemName, SecurityUtil.OVERRIDE_SECURE_PROCESSING_PROP}));
	}

}
